.dark .choices__inner {
    background-color: #374151;
    color: white;
    border-color: #555;
}

.dark .choices__input {
    color: #374151;
}

.dark .choices__list--dropdown {
    background-color: #374151;
    color: white;
}

.dark .choices__list--dropdown .choices__item {
    background-color: #374151;
    color: white;
}

.dark .choices__list--dropdown .choices__item--selectable.is-highlighted {
    background-color: #444;
    color: #374151;
}

.dark .choices__input.choices__input--cloned {
    color: white !important;
    background: transparent;
}

input::placeholder {
    color: #9ca3af;
    /* gray-400 */
}

.dark input::placeholder {
    color: #6b7280;
    /* gray-500 */
}

.dark div#members-table_length, .dark div#members-table_info {
    color: white;
}

.dark a.page-link {
    color: white;
    background: #273142;
}

.dark label {
    color: white;
}

.dark div.dataTables_wrapper div.dataTables_filter input, .dark div.dataTables_wrapper div.dataTables_length select {
    color: white;
    background-color: #1F2937;
}

.dark table.dataTable thead th {
    color: white !important;
}

.dark table.dataTable thead th:after {
    color: white;
}

.dark table.dataTable thead th:hover {
    color: #ffffff;
}

.dark table.dataTable tbody td {
    color: white !important;
    background: #1F2937;
}

.dark table.dataTable tbody td:after {
    color: white;
    background: #1F2937;
}

.dark table.dataTable tbody td:hover {
    color: #ffffff;
    background: #1F2937;

}

.dark div.dataTables_wrapper div.dataTables_info {
    color: #ffffff;
}

.dark .choices[data-type*=select-one] .choices__input {
    background-color: #374151;
}

/* table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control {
    cursor: unset !important;
    display: flex !important;
    align-items: center !important;
} */

table#members-table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control {
    cursor: unset !important;
    display: flex !important;
    align-items: center !important;
}

table.dataTable>tbody>tr.child ul.dtr-details {
    display: inline !important;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    margin-right: .5em;
    display: inline-block;
    color: rgba(0, 0, 0, 0.5);
    /* content: "►" !important; */
    content: "\f067";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    cursor: pointer !important;
}

.dtfh-floatingparent.dtfh-floatingparenthead {
    top: 64px !important;
    height: 56px !important;
}

@media screen and (max-width: 767px) {
    a.page-link {
        font-size: 12px;
        padding: 10px;
    }

    .dataTables_length {
        margin: 15px 0px;
    }

    table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control, table.dataTable>tbody>tr.child ul.dtr-details>li {
        font-size: 10px;
    }

    table.table-bordered.dataTable {
        border-right-width: 0;
        font-size: 10px;
    }
}

td.text-wrap-message {
    white-space: normal !important;
    word-wrap: break-word;
    max-width: 300px;
}

th.text-wrap-message {
    white-space: normal !important;
}

.table.table-bordered.w-100.dataTable.no-footer.dtr-inline.collapsed.fixedHeader-floating {
    table-layout: auto !important;
}

.table.table-bordered.w-100.dataTable.no-footer.dtr-inline.fixedHeader-floating {
    table-layout: auto !important;
}

.tab-style-gradient button[aria-selected=false] {
    background: linear-gradient(180deg, rgba(255, 246, 77, 0.12) 0%, rgba(255, 246, 77, 0.03) 100%) !important;
}

/* 05-11-2025 */
.logo-card {
    width: 100%;
    margin: 0 auto;
    border-radius: 12px;
    overflow: visible;
    position: relative;
    background: radial-gradient(circle at 20% 20%, #f9e6d2 60%, #e6d8fc 100%),
        repeating-linear-gradient(135deg, #43146f 0px, #43146f 12px, transparent 14px, transparent 30px),
        linear-gradient(110deg, #e53935 0%, transparent 68%);
    box-shadow: 0 8px 32px 0 rgba(67, 20, 111, 0.15);
    color: #000;
}

.logo-card-watermark {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    height: auto;
    transform: translate(-50%, -50%);
    opacity: 0.05;
    z-index: 0;
    pointer-events: none;
}

.logo-card::before,
.logo-card::after {
    content: '';
    position: absolute;
    border-radius: 50%;
    opacity: 0.2;
    z-index: 0;
}

.logo-card::before {
    width: 100px;
    height: 100px;
    background: #F8B4A3;
    top: 0px;
    left: -26px;
}

.logo-card::after {
    width: 100px;
    height: 100px;
    background: #6a5acd9c;
    bottom: 0px;
    right: -34px;
}

.logo-card-header {
    position: relative;
    z-index: 1;
    width: 100%;
}

.logo-img {
    max-width: 100px;
    height: auto;
    object-fit: contain;
}

.btn-close {
    background-color: transparent !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: 1rem !important;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") !important;
    opacity: 1 !important;
}

.dark .btn-close {
    background-color: transparent !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: 1rem !important;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") !important;
    opacity: 1 !important;
}

.addons-btn {
    margin-top: 30px !important;
}

input#note_display {
    background: #bfdcff !important;
    padding: 24px;
    font-weight: 700;
    color: rgb(0, 123, 255);
}

.text-primary-900 {
    color: rgb(4 0 255);
}

.dark .text-primary-900 {
    color: rgb(4 0 255);
}

.justify-items-center {
    justify-items: center;
}

.dashboard-main {
    flex-wrap: nowrap !important;
}

.password-mask {
    -webkit-text-security: disc;
}

.bg-general-info {
    width: 100%;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
    background: radial-gradient(circle at 20% 20%, #f9e6d2 60%, #e6d8fc 100%),
        repeating-linear-gradient(135deg, #43146f 0px, #43146f 12px, transparent 14px, transparent 30px),
        linear-gradient(110deg, #e53935 0%, transparent 68%);
    box-shadow: 0 8px 32px 0 rgba(67, 20, 111, 0.15);
    color: #000;
}


.bg-general-info::before,
.bg-general-info::after {
    content: '';
    position: absolute;
    border-radius: 50%;
    opacity: 0.2;
    z-index: 0;
}

.bg-general-info::before {
    width: 100px;
    height: 100px;
    background: #F8B4A3;
    top: 0px;
    left: -50px;
}

.bg-general-info::after {
    width: 100px;
    height: 100px;
    background: #6a5acd9c;
    bottom: 0px;
    right: -50px;
}



.dark .bg-general-info {
    background: radial-gradient(circle at 20% 20%, #f9e6d2 60%, #e6d8fc 100%),
        repeating-linear-gradient(135deg, #43146f 0px, #43146f 12px, transparent 14px, transparent 30px),
        linear-gradient(110deg, #e53935 0%, transparent 68%);
    box-shadow: 0 8px 32px 0 rgba(67, 20, 111, 0.15);
    box-shadow: 0 8px 32px 0 rgba(67, 20, 111, 0.15);
    color: #000 !important;
}

.dark .bg-general-info h5, .dark .bg-general-info marquee span {
    color: #000 !important;
}

.dark .bg-general-info::before,
.dark .bg-general-info::after {
    content: '';
    position: absolute;
    border-radius: 50%;
    opacity: 0.2;
    z-index: 0;
}

.dark .bg-general-info::before {
    width: 100px;
    height: 100px;
    background: #F8B4A3;
    top: 0px;
    left: -50px;
}

.dark .bg-general-info::after {
    width: 100px;
    height: 100px;
    background: #6a5acd9c;
    bottom: 0px;
    right: -50px;
}

.dark .choices[data-type*=select-one] .choices__button {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjEiIGhlaWdodD0iMjEiIHZpZXdCb3g9IjAgMCAyMSAyMSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48ZyBmaWxsPSIjZmZmZmZmIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yLjU5Mi4wNDRsMTguMzY0IDE4LjM2NC0yLjU0OCAyLjU0OEwuMDQ0IDIuNTkyeiIvPjxwYXRoIGQ9Ik0wIDE4LjM2NEwxOC4zNjQgMGwyLjU0OCAyLjU0OEwyLjU0OCAyMC45MTJ6Ii8+PC9nPjwvc3ZnPg==") !important;
    background-size: 8px !important;
    background-color: transparent !important;
    padding: 0 !important;
    position: absolute !important;
    top: 50% !important;
    right: 0 !important;
    margin-top: -10px !important;
    margin-right: 25px !important;
    height: 20px !important;
    width: 20px !important;
    /* transform: translateY(-50%); */
    border-radius: 10em !important;
    opacity: .75 !important;
}

.dark .choices[data-type*=select-one]::after {
    content: "";
    height: 0;
    width: 0;
    border-style: solid;
    border-color: #ffffff transparent transparent;
    border-width: 5px;
    position: absolute;
    right: 11.5px;
    top: 50%;
    margin-top: -2.5px;
    pointer-events: none
}

.dark .choices[data-type*=select-one].is-open::after {
    border-color: transparent transparent #ffffff !important;
    margin-top: -7.5px
}

.adsSlider .swiper-slide {
    width: 75%;
}

.adsSlider:after,
.adsSlider:before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    width: 200px;
    z-index: 5;
}

.adsSlider:before {
    left: 0;
    background: linear-gradient(to right, rgba(243, 244, 246, 1) 0%, rgba(243, 244, 246, 0.55) 61%, rgba(255, 255, 255, 0) 100%);
}

.adsSlider:after {
    right: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(243, 244, 246, 0.55) 39%, rgba(243, 244, 246, 1) 100%);

}

html.dark .adsSlider:before {
    background: linear-gradient(to right, rgba(17, 24, 39, 1) 0%, rgba(17, 24, 39, 0.55) 61%, rgba(17, 24, 39, 0) 100%);
}

html.dark .adsSlider:after {
    background: linear-gradient(to right, rgba(17, 24, 39, 0) 0%, rgba(17, 24, 39, 0.55) 39%, rgba(17, 24, 39, 1) 100%);
}

.swiper-pagination .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    opacity: 1;
}

.swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: #0000;
    box-shadow: 0 0 0 4px #000;
}

.grecaptcha-badge {
    opacity: 0 !important;
    visibility: hidden !important;
}


.dashboard-main-body .adsSlider:before {
    left: 0;
    background: linear-gradient(to right, rgb(255, 255, 255) 0%, rgba(255, 255, 255, 0.55) 61%, rgba(255, 255, 255, 0) 100%);
}

.dashboard-main-body .adsSlider:after {
    right: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.55) 39%, rgb(255, 255, 255) 100%);
}



html.dark .dashboard-main-body .adsSlider:before {
    background: linear-gradient(to right, rgba(39, 49, 66, 1) 0%, rgba(39, 49, 66, 0.55) 61%, rgba(39, 49, 66, 0) 100%);
}

html.dark .dashboard-main-body .adsSlider:after {
    background: linear-gradient(to right, rgba(39, 49, 66, 0) 0%, rgba(39, 49, 66, 0.55) 39%, rgba(39, 49, 66, 1) 100%);
}

.choices__inner {
    border-radius: 8px !important;
}

.booking-date-info-section {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
}

.booking-date-info-section span {
    padding: 12px 24px !important;
}

html.dark span.flatpickr-weekday {
    color: rgba(255, 255, 255, 0.54);
}

html.dark .flatpickr-current-month input.cur-year[disabled],
html.dark .flatpickr-current-month input.cur-year[disabled]:hover {
    color: rgba(255, 255, 255, 0.5);
}

.dark [type='checkbox']:checked, .dark [type='radio']:checked {
    border-color: transparent;
    background-color: rgb(0, 145, 255);
    /* background-size: 0.55em 0.55em; */
    background-position: center;
    background-repeat: no-repeat;
}

.dark [type='radio']:checked {
    background-color: #0d6efd !important;
}

.flatpickr-day.inRange {
    box-shadow: -5px 0 0 rgb(35, 118, 0), 5px 0 0 rgb(35, 118, 0) !important;
    border-color: transparent !important;
}

.flatpickr-monthSelect-month.inRange,
.flatpickr-monthSelect-month.inRange.today,
.flatpickr-monthSelect-month:hover,
.flatpickr-monthSelect-month:focus {
    color: #000000;
}

/* .dark .table { */
.dark .table {
    --bs-table-color-type: initial;
    --bs-table-bg-type: initial;
    --bs-table-color-state: initial;
    --bs-table-bg-state: initial;
    --bs-table-color: var(--bs-body-bg);
    --bs-table-bg: #313740;
    --bs-table-border-color: #00000096;
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: var(--bs-emphasis-color);
    --bs-table-striped-bg: rgba(var(--bs-emphasis-color-rgb), 0.05);
    --bs-table-active-color: var(--bs-emphasis-color);
    --bs-table-active-bg: rgba(var(--bs-emphasis-color-rgb), 0.1);
    --bs-table-hover-color: var(--bs-emphasis-color);
    --bs-table-hover-bg: rgba(var(--bs-emphasis-color-rgb), 0.075);
}




@media screen and (max-width: 991px) {

    .adsSlider:after,
    .adsSlider:before {
        display: none;
    }

    .adsSlider .swiper-slide {
        width: 100%;
    }

    .ads-slider-section {
        padding-top: 3rem;
        padding-bottom: 3rem;
    }

    .booking-date-info-section span {
        padding: 12px 24px !important;
        flex: 1 1 250px;
        text-align: center;
    }
}


@media screen and (max-width: 767px) {

    .adsSlider:after,
    .adsSlider:before {
        display: none;
    }

    .adsSlider .swiper-slide {
        width: 100%;
    }

    .ads-slider-section {
        padding-top: 1.3rem;
        padding-bottom: 1.3rem;
    }

    .w-50 {
        width: 100% !important;
    }

    .container-fluid,
    .container {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }

    .booking-form {
        padding: 16px;
    }

    .booking-form .card .card-body {
        padding: 16px;
    }

    .current-date-time {
        font-size: 16px !important;
        line-height: 1.3;
    }

    .time-schedule {
        margin-bottom: 1.5rem !important;
    }

    .form-grid-main {
        column-gap: 0 !important;
        row-gap: 16px !important;
    }

    .form-grid-main .form-control {
        padding-bottom: 6px;
        padding-top: 6px;
    }

    .form-grid-main .form-control,
    .form-grid-main label {
        font-size: 14px;
        margin-bottom: 4px;
    }

    .radio-grid-group {
        column-gap: 0 !important;
        row-gap: 4px !important;
    }

    .choices__inner {
        min-height: 38px !important;
    }

    .booking-date-info-section span {
        font-size: 14px;
    }

    .choices__list--single {
        padding: 0 16px 0 4px !important;
    }

    .booking-date-info-section {
        gap: 12px;
    }

    footer>div {
        flex-direction: column !important;
        align-items: center !important;
        justify-content: center !important;
        text-align: center !important;
    }
}


.choices__list--dropdown .choices__list, .choices__list[aria-expanded] .choices__list {
    /* position: relative !important; */
    max-height: 200px !important;
    overflow: auto !important;
    -webkit-overflow-scrolling: touch !important;
    will-change: scroll-position !important;
}

.choices {
    margin-bottom: 0px !important;
}

#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.spinner {
    width: 50px;
    height: 50px;
    border: 6px solid #43146f;
    border-top-color: #f9e6d2;
    border-radius: 50%;
    animation: spin 1s infinite linear;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

@media (max-width: 576px) {
    #memberModal .modal-dialog {
        max-width: 95% !important;
        margin: auto;
    }
}

@media (max-width: 768px) {
    #memberModal .modal-dialog {
        max-width: 90% !important;
    }
}

/* .small-committee-title{
    font-size: 8px;;
} */

.login-title {
    display: none;
}

.committee-title {
    font-size: 12px;
}

.home-icon {
    width: 30px;
    height: 30px;
}

@media (min-width: 768px) {
    .committee-title {
        display: flex;
        font-size: 20px;
    }

    .login-title {
        display: flex;
    }

    .home-icon {
        width: 45px;
        height: 45px;
    }
}

.tab-top {
    padding: 0.75rem 1.25rem;
    font-weight: 600;
    border-top: 3px solid transparent;
    border-left: 1px solid #d1d5db;
    border-right: 1px solid #d1d5db;
    border-bottom: none;
    color: #000;
    transition: all 0.2s ease;
}

.tab-warning {
    background-color: #fde68a;
}

.tab-success {
    background-color: #bbf7d0;
}

.tab-danger {
    background-color: #fecaca;
}

.tab-info {
    background-color: #bfdbfe;
}

.tab-warning:hover {
    border-top-color: #EAB308;
    color: #EAB308;
}

.tab-success:hover {
    border-top-color: #22C55E;
    color: #22C55E;
}

.tab-danger:hover {
    border-top-color: #EF4444;
    color: #EF4444;
}

.tab-info:hover {
    border-top-color: #3B82F6;
    color: #3B82F6;
}

.tab-warning[aria-selected="true"] {
    border-top-color: #EAB308;
    color: #EAB308;
}

.tab-success[aria-selected="true"] {
    border-top-color: #22C55E;
    color: #22C55E;
}

.tab-danger[aria-selected="true"] {
    border-top-color: #EF4444;
    color: #EF4444;
}

.tab-info[aria-selected="true"] {
    border-top-color: #3B82F6;
    color: #3B82F6;
}